Package org.eclipse.jdt.ui.actions

## Class FormatAllAction.ObjectDelegate

- java.lang.Object
- - org.eclipse.jdt.ui.actions.FormatAllAction.ObjectDelegate

All Implemented Interfaces:
  `IActionDelegate`, `IObjectActionDelegate`

Enclosing class:
  FormatAllAction

    public static class FormatAllAction.ObjectDelegate
    extends Object
    implements IObjectActionDelegate

### Constructor Summary

Constructors
`ObjectDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run​(IAction action)`
`void` `selectionChanged​(IAction action, ISelection selection)`
`void` `setActivePart​(IAction action, IWorkbenchPart targetPart)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectDelegate

    public ObjectDelegate()

### Method Detail

#### setActivePart

    public void setActivePart​(IAction action,
                              IWorkbenchPart targetPart)

Specified by:
  `setActivePart` in interface `IObjectActionDelegate`

#### run

    public void run​(IAction action)

Specified by:
  `run` in interface `IActionDelegate`

#### selectionChanged

    public void selectionChanged​(IAction action,
                                 ISelection selection)

Specified by:
  `selectionChanged` in interface `IActionDelegate`